flannel 0.7如何配置调用etcd v3的api


我的flannelversion 0.7 etcd version 3.1.5
启动flannel发现问题

se1.jpg


查看etcd日志

se2.jpg

Jun 22 14:04:35 master etcd[1365]: [GET] /v2/keys/coreos.com/network/config?quorum=true&recursive=false&sorted=false remote:10.10.10.4:45468

发现flannel默认是调用etcd v2的版本,所以应该如何flannel调用etcd v3的api呢,没有看到flannel相关配置选项?

我使用etcdctl 命令 使用v3 api是可以拿到network config的
已邀请:

mgnetwork

赞同来自:


我把etcd配置改了下
ETCD_LISTEN_CLIENT_URLS="http://0.0.0.0:2379"
ETCD_ADVERTISE_CLIENT_URLS="http://0.0.0.0:2379"

重启etcd
记住要 mk

wisen

赞同来自:


https://github.com/coreos/flan ... ubnet最新代码分支上还没有etcd v3相关的代码。想来目前还不支持。

要回复问题请先登录注册